package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 细菌-稽查轨迹对象 t_bacteria_jcgj
 *
 * @author hxhq
 * @date 2026-01-12
 */
@TableName("t_bacteria_jcgj")
public class BacteriaJcgj extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 细菌id */
    private Long bacteriaId;

    /** 稽查轨迹类型:1:流程；3：编辑 */
    private Integer jcgjlx;

    /** 稽查名称 */
    private String jcmc;

    /** 稽查名称颜色：1：蓝色；3：红色；5：绿色；7：橙色 */
    private Integer jcmcys;

    /** 稽查内容 */
    private String jcnr;

    /** 签名人id */
    private Long qmrId;

    /** 签名人名称 */
    private String qmrMc;


    public void setBacteriaId(Long bacteriaId)
    {
        this.bacteriaId = bacteriaId;
    }

    public Long getBacteriaId()
    {
        return bacteriaId;
    }

    public void setJcgjlx(Integer jcgjlx)
    {
        this.jcgjlx = jcgjlx;
    }

    public Integer getJcgjlx()
    {
        return jcgjlx;
    }

    public void setJcmc(String jcmc)
    {
        this.jcmc = jcmc;
    }

    public String getJcmc()
    {
        return jcmc;
    }

    public void setJcmcys(Integer jcmcys)
    {
        this.jcmcys = jcmcys;
    }

    public Integer getJcmcys()
    {
        return jcmcys;
    }

    public void setJcnr(String jcnr)
    {
        this.jcnr = jcnr;
    }

    public String getJcnr()
    {
        return jcnr;
    }

    public void setQmrId(Long qmrId)
    {
        this.qmrId = qmrId;
    }

    public Long getQmrId()
    {
        return qmrId;
    }

    public void setQmrMc(String qmrMc)
    {
        this.qmrMc = qmrMc;
    }

    public String getQmrMc()
    {
        return qmrMc;
    }

}
